#ifndef IMASK_CTRL_H
#define IMASK_CTRL_H

/*!
  \file
  \brief 割り込みマスク制御

  \author Satofumi KAMIMURA

  $Id: imask_control.h 1141 2009-07-14 03:32:03Z satofumi $
*/


/*!
  \brief 割り込みマスクレベルを設定

  \param[in] level 割り込みマスクレベル
*/
extern void imask_setMaskLevel(int level);


/*!
  \brief 割り込みマスクの取得

  \retrun 割り込みマスク
*/
extern int imask_maskLevel(void);

#endif /* !IMASK_CTRL_H */
